package ch.brotzilla.performance;

import com.jogamp.opengl.GL;
import com.jogamp.opengl.GL2;

public enum GLBlendFunc {

	BlendFunc1 {
		@Override
		public void apply(GL2 gl) {
			gl.glBlendFuncSeparate(GL.GL_SRC_ALPHA, GL.GL_ONE_MINUS_SRC_ALPHA, GL.GL_SRC_ALPHA, GL.GL_ONE);
		}
	},
	
	BlendFunc2 {
		@Override
		public void apply(GL2 gl) {
			gl.glBlendFuncSeparate(GL.GL_SRC_ALPHA, GL.GL_ONE_MINUS_SRC_ALPHA, GL.GL_ONE, GL.GL_ONE_MINUS_SRC_ALPHA);
		}
	};
	
	public abstract void apply(GL2 gl);
	
}
