package ch.brotzilla.performance;

import ch.brotzilla.performance.tests.PerfTest;

public class TestThread extends Thread {
    
    private final PerfTest perfTest;
    
    public TestThread(PerfTest perfTest) {
        this.perfTest = perfTest;
    }
    
    public PerfTest getPerfTest() {
        return perfTest;
    }
    
    @Override
    public void run() {
        perfTest.execute();
    }
    
}