package ch.brotzilla.performance.util;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Random;

import ch.brotzilla.performance.StaticSettings;

public class Triangles implements Iterable<Triangle> {

    private final List<Triangle> list = new ArrayList<>();
    
    public Triangles(Random rng, int count) {
        list.add(new Triangle(0, 0, StaticSettings.Width, 0, 0, StaticSettings.Height, 0f, 0f, 0f, 1f));
        for (int i = 0; i < count; i++) {
            list.add(new Triangle(rng));
        }
    }

    @Override
    public Iterator<Triangle> iterator() {
        return list.iterator();
    }
    
}
