package ch.brotzilla.performance;

import com.jogamp.opengl.GL2;

public enum GLColorMask {
	
	AlphaOnly {
		@Override
		public void apply(GL2 gl) {
			gl.glColorMask(false, false, false, true);
		}
	}, 
	
	RGBA {
		@Override
		public void apply(GL2 gl) {
			gl.glColorMask(true, true, true, true);
		}
	};
	
	public abstract void apply(GL2 gl);
	
}