package ch.brotzilla.performance;

import java.awt.Color;
import java.io.File;

public class StaticSettings {

    public static final String Seed = "TrianglePerformanceTest";
    
    public static final File OutputFolder = new File("./out/");

    public static final int Width = 640;
    public static final int Height = 480;
    public static final int Size = Width * Height;
    
    public static final int NumberOfThreads = 2;
    public static final int NumberOfIterations = 1;
    public static final int NumberOfTriangles = 200;
    
    public static final boolean UseTranslucency = false;
    public static final boolean UseAlphaBlending = false;
    public static final boolean UseAntialiasing = true;
    
    public static final Color TranslucentBackgroundColor = new Color(1f, 1f, 1f, 0f);
    public static final Color OpaqueBackgroundColor = new Color(1f, 1f, 1f, 1f);
    
    public static final GLColorMask ColorMask = GLColorMask.AlphaOnly;
    public static final GLBlendFunc BlendFunc = GLBlendFunc.BlendFunc1;
    
}
